gensiotool(1)

NAME
gensio - Tool for doing gensio connections

SYNOPSIS
gensiotool [options] io2

DESCRIPTION
The gensiotool program allows connections to be made using gensios It creates two gensios called io1 and io2. io1 is by default the local terminal and io2 must be specified.

By default, gensiotool make two normal gensios and establishes connections to each of them. Any data that comes in on one gensio is transmitted on the other. For a description of how to specify a gensio, see the gensio documentation.

OPTIONS

-i|--input io1
    By default io1 is the local terminal ( /dev/tty ) for a tty stdin, or the program's stdin/stdout for a non-tty stdin. This lets another gensio be specified as the device to hook to io2.

-a|--accepter
    By default io2 makes an outgoing connection. This modifies io2 to be a gensio accepter and waits for an incoming connection. Once the connection comes in, the accepter is closed and operations proceeds as normal.

--signature
    Serial server signature reported to the remote end. If an accepter is specified (currently only a telnet RFC2217 server) the signature given is used instead of "gensiotool".

-d|--debug
    Generate debugging output. Specifying more than once increases the output.

-e|--escchar char
    Specify a character to use for the escape character. Setting it to -1 disables the escape character. This can either be a decimal or hexadeximal number or ^x to set a control character. By default it is ^\ if io1 is the default and stdin is a tty, or disabled otherwise. See ESCAPES below for more details on the escape character. Only handled on io1.

-p|--printacc
    If -a is specified, print out all the accept addresses chosen by the program.

-n|--extra-threads <n>
    Spawn <n> extra threads to handle gensio operations. Useful for scalabiity with --server.

--server
    When an accept happens, don't disable accept, but continue to accept connections, and won't close if all the connections go away.. If this is not specified, it shut down the accepter when a connection comes in and will terminate when that connection closes.

--version
    Print the version number and exit.

-h|--help
    Help output

ESCAPES
If the escape character is received on io1, the character is not transferred and the program waits for another character. If the other character is also the escape character, a single escape character is sent. If the other character is not recognized as a valid escape, it is ignore and not transferred. Upper and lower case are equivalent. Escape characters are:

q   Quit the program.

b   Send a break to io2. Ignored if io2 does not support break.

d   Dump serial data for io2. Ignored if io2 is not a serial gensio.

s   Set the serial port (baud) rate for io2. Ignored if io2 is not a serial gensio. After this, the serial port speed must be typed, terminated by a new line. Invalid speeds are ignore, use escchar-d to know if you set it right.

n, o, e
    Set the parity on io2 to none, odd, or even. Ignored if io2 is not a serial gensio.

5, 6, 7, 8
    Set the data size on io2 to the number of bits. Ignored if io2 is not a serial gensio.

1, 2
    Set the number of stop bits to 1 or 2 on io2 bits. Ignored if io2 is not a serial gensio.

x, r, f
    Sets flow control to xonxoff, rtscts, or none.

SEE ALSO
gensio(5)

KNOWN PROBLEMS
None.

AUTHOR

Corey Minyard <minyard@acm.org>